import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';

import '../../../../../utils/color_manager.dart';
import '../../../../../utils/constants/assets.dart';

class IconChoosePartWidget extends StatelessWidget {
  const IconChoosePartWidget({
    super.key,
    required this.selectedIcon,
    required this.showIconSelection,
    required this.screenWidth,
  });
  final double screenWidth;
  final String selectedIcon;
  final void Function() showIconSelection;
  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisAlignment: MainAxisAlignment.center,
      //  crossAxisAlignment: CrossAxisAlignment.center,
      children: [
        const SizedBox(height: 50),
        Stack(
          alignment: Alignment.center,
          children: [
            Container(
              width: screenWidth * 0.1,
              height: screenWidth * 0.1,
              decoration: const BoxDecoration(
                color: ColorsManager.boxColor,
                shape: BoxShape.circle,
              ),
            ),
            SvgPicture.asset(
              selectedIcon,
              width: screenWidth * 0.04,
              height: screenWidth * 0.04,
            ),
            Positioned(
              top: 20,
              right: 20,
              child: InkWell(
                onTap: showIconSelection,
                child: Container(
                  width: 24,
                  height: 24,
                  decoration: const BoxDecoration(
                    color: Colors.white,
                    shape: BoxShape.circle,
                  ),
                  child: SvgPicture.asset(
                    Assets.iconEdit,
                    width: 16,
                    height: 16,
                  ),
                ),
              ),
            ),
          ],
        ),
      ],
    );
  }
}
